# clootl
## An R package for interfacing with the clootl tree

This is the home for the clootl project, aka the SapsuckerTree, a collaboration between the Cornell Lab of Ornithology and the Open Tree of Life to produce a global avian phylogeny in the Clements taxonomy.

#### Is the tree ready to use?
Yes. We're there yet. Get into it.

#### How do I get access to it?
Easy:
```r
library(devtools)
install_github("eliotmiller/clootl")
library(clootl)
?getCitations
```

### Tutorials

- [Getting Started](https://github.com/eliotmiller/clootl/blob/master/examples/intro.md)
- [Downloading the Data Repository](https://github.com/eliotmiller/clootl/blob/master/examples/dataDownload.md)
- [Mapping Traits to a Subtree](https://github.com/eliotmiller/clootl/blob/master/examples/avonet.md)
